| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_IS_EMPTY_LIST

BOOST_VMD_IS_EMPTY_LIST — Tests whether a sequence is an empty Boost PP list.

## Synopsis

    // In header: <boost/vmd/is_empty_list.hpp>

    BOOST_VMD_IS_EMPTY_LIST(sequence)

## Description

An empty Boost PP list consists of the single identifier 'BOOST_PP_NIL'. This identifier also serves as a list terminator for a non-empty list.

sequence = a preprocessor parameter

returns = 1 if the sequence is an empty Boost PP list 0 if it is not.

The macro will generate a preprocessing error if the input as an empty list marker, instead of being an identifier, is a preprocessor token which VMD cannot parse, as in the example '&BOOST_PP_NIL'.